"use strict";
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(require("./RequestMethod"));
__export(require("./decorators"));
__export(require("./middlewares"));
__export(require("./results"));
__export(require("./router"));
__export(require("./Application"));
__export(require("./BaseController"));
var index_1 = require("./middlewares/index");
var core_1 = require("@ts-ioc/core");
var index_2 = require("./router/index");
var BaseController_1 = require("./BaseController");
var index_3 = require("./decorators/index");
function registerDefaults(container) {
    var lifeScope = container.getLifeScope();
    lifeScope.registerDecorator(index_3.Controller, core_1.LifeState.onInit, core_1.CoreActions.bindProvider);
    lifeScope.registerDecorator(index_3.Authorization, core_1.LifeState.onInit, core_1.CoreActions.bindProvider);
    lifeScope.registerDecorator(index_3.Middleware, core_1.LifeState.onInit, core_1.CoreActions.bindProvider);
    lifeScope.registerDecorator(index_3.Model, core_1.LifeState.onInit, core_1.CoreActions.bindProvider);
    container.register(index_2.ModelParser);
    container.register(BaseController_1.BaseController);
}
exports.registerDefaults = registerDefaults;
function registerDefaultMiddlewars(container) {
    container.register(index_1.DefaultContentMiddleware);
    container.register(index_1.DefaultContextMiddleware);
    container.register(index_1.DefaultJsonMiddleware);
    container.register(index_1.DefaultLogMiddleware);
    container.register(index_1.DefaultSessionMiddleware);
    container.register(index_1.DefaultBodyParserMiddleware);
    container.register(index_1.DefaultViewsMiddleware);
    container.register(index_1.DefaultCorsMiddleware);
    container.register(index_2.Router);
}
exports.registerDefaultMiddlewars = registerDefaultMiddlewars;

//# sourceMappingURL=../sourcemaps/core/index.js.map
